Get User Settings
const url = 'https://api.exolink.cloud/user/example/settings';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.exolink.cloud/user/example/settings \ --header 'Authorization: Bearer <token>'Retrieve user settings and preferences
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”User ID
Responses
Section titled “Responses”User settings
object
Preferred language
Preferred region code
Preferred timezone
Default tenant domain prefix
Example
{ "language": "de", "region": "DE", "timezone": "Europe/Berlin"}Missing, invalid or expired credentials
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Not authorized", "errorCode": "ERR_API_NOT_AUTHORIZED"}The caller may not perform this action
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Forbidden", "errorCode": "ERR_API_FORBIDDEN"}Resource not found
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Charger '7' not found", "errorCode": "ERR_API_RESOURCE_NOT_FOUND"}Resource is not in a state that allows this request
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Lab '3' is in pending state and can not be deleted yet", "errorCode": "ERR_API_UNEXPECTED_STATE"}